[API Reference](../README.md) > [EventSubscription](../classes/EventSubscription.md)



# Class: EventSubscription

## Implements

* [IEventSubscription](../interfaces/IEventSubscription.md)

## Index

### Constructors

* [constructor](EventSubscription.md#constructor)


### Methods

* [unsubscribe](EventSubscription.md#unsubscribe)



---
## Constructors
<a id="constructor"></a>


### ⊕ **new EventSubscription**(key: *[EventSubscriptionKey](../#EventSubscriptionKey)*): [EventSubscription](EventSubscription.md)


*Defined in [eventService.ts:116](https://github.com/daostack/arc.js/blob/77005d4/lib/eventService.ts#L116)*



**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| key | [EventSubscriptionKey](../#EventSubscriptionKey)   |  - |





**Returns:** [EventSubscription](EventSubscription.md)

---


## Methods
<a id="unsubscribe"></a>

###  unsubscribe

► **unsubscribe**(): `void`



*Implementation of [IEventSubscription](../interfaces/IEventSubscription.md).[unsubscribe](../interfaces/IEventSubscription.md#unsubscribe)*

*Defined in [eventService.ts:119](https://github.com/daostack/arc.js/blob/77005d4/lib/eventService.ts#L119)*





**Returns:** `void`





___


